import httpRequest from '@/utils/axios'

// 获取课程列表
export function getCourseList(params: { page_size: number; page: number }) {
  return httpRequest.get('/api/psp/v1/learning/course-list', { params })
}

// 获取课程列表
export function getCourseView(params: { id: string }) {
  return httpRequest.get('/api/psp/v1/learning/course-view', { params })
}

// 获取课程列表
export function getChapterView(params: { chapter_id: string; page_size?: number; page?: number }) {
  return httpRequest.get('/api/psp/v1/learning/chapter-view', { params })
}

// 课程章节打卡
export function createCourseRecord(data: {
  chapter_id: string
  course_id: string
  content: string
  title?: string
  file?: string
}) {
  return httpRequest.post('/api/psp/v1/learning/upload', data)
}

// 打卡记录评论
export function createCourseComment(data: { entity_id: string; to_comment_id?: string; content: string }) {
  return httpRequest.post('/api/psp/v1/learning/comment', data)
}

// 获取打卡记录评论
export function getRecordComment(params: { id: string; page_size?: number; page: number }) {
  return httpRequest.get('/api/psp/v1/learning/record-comments', { params })
}
